%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-system-log
Version:	3.6.1
Release:	%mkrel 2
Summary:	GNOME System log utility
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
Requires:	usermode-consoleonly
Conflicts:	gnome-utils < 1:3.3.1

%description
Gnome System log utility.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#handle docs with files section
#rm -rf %{buildroot}%{_defaultdocdir}

# make gnome-system-log use consolehelper until it starts using polkit
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat <<EOF > %{buildroot}%{_sysconfdir}/pam.d/gnome-system-log
#%%PAM-1.0
auth		include		system-auth
account		include		system-auth
session		include		system-auth
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat <<EOF > %{buildroot}%{_sysconfdir}/security/console.apps/gnome-system-log
USER=root
PROGRAM=/usr/sbin/gnome-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/gnome-system-log %{buildroot}%{_sbindir}
ln -s /usr/bin/consolehelper %{buildroot}%{_bindir}/gnome-system-log

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_datadir}/GConf/gsettings/logview.convert
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-log.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/*/apps/logview.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317417
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297134
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295687
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288088
- new version 3.5.91

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285532
- update file list

  + ovitters <ovitters>
    - new version 3.5.90

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271605
- update file list
- new version 3.5.4

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231081
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226669
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225456
- update file list
- new version 3.3.92

* Sat Oct 29 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159577
- imported package gnome-system-log

